# Query business audit log entries

Queries the business audit log for entries that match the specified filter and paging parameters. The maximum allowed value for the take parameter is 100.

Endpoint: GET /api/audit/business/query/{entityId}
Version: v1.0
Security: OAuth2

## Query parameters:

  - `Aggregate.Name` (string, required)
    The name of the aggregation.

  - `Aggregate.Field` (string, required)
    The field to aggregate on.

  - `Aggregate.Aggregations` (array, required)
    The collection of aggregation parameters.

  - `EventTypes` (array)
    The event types to filter the logs.
    Example: ["lifecycle.created","lifecycle.approved","user.login.success","usergroup.modified"]

  - `CreatedBy` (string)
    The user who created the log.
    Example: "admin"

  - `ModifiedBy` (string)
    The user who modified the log.
    Example: "editor"

  - `Username` (string)
    The username associated with the log.
    Example: "user1"

  - `Definition` (string)
    The definition of the log.
    Example: "M.Asset"

  - `LogType` (array)
    The log types to filter the logs.

  - `Aggregate.Size` (integer)
    The size of the aggregation.

  - `ScrollId` (string)
    The ID of the scroll session to get the next results for.
    Example: "scroll-session-abc123"

  - `ScrollTime` (string)
    The time to keep the scroll session active.
    Example: "00:05:00"

  - `FullText` (string)
    The full-text search term to filter audit records.
    Example: "user login"

  - `Raw` (string)
    The raw query string for advanced filtering.

  - `EntityId` (integer)
    The identifier of the entity to filter audit records.
    Example: 12345

  - `From` (string)
    The start date of the range filter.
    Example: "2025-01-01"

  - `To` (string)
    The end date of the range filter.
    Example: "2025-01-31"

  - `Skip` (integer)
    The number of items to skip for pagination. Null if negative.

  - `Take` (integer)
    The number of items to take for pagination. Null if negative.
    Example: 25

  - `Sort` (string)
    The field name to sort by.
    Example: "timestamp"

  - `Order` (string)
    The sort order (ascending or descending).
    Enum: "ascending", "descending"

  - `Ascending` (boolean)
    Whether the sort order is ascending.

  - `Range.Begin` (string)

  - `Range.End` (string)

## Path parameters:

  - `entityId` (integer)
    The identifier of the entity to filter audit records.
    Example: 12345

## Response 200 fields (application/json):

  - `items` (array,null)
    Gets or sets the list of items.

  - `items.event_type` (string,null)

  - `items.created_by` (string,null)

  - `items.modified_by` (string,null)

  - `items.created_on` (string,null)

  - `items.modified_on` (string,null)

  - `items.username` (string,null)

  - `items.log_type` (string,null)

  - `items.browser_information` (string,null)

  - `items.geoip` (object,null)

  - `items.authentication_type` (string,null)

  - `items.ip_address` (string,null)

  - `items.email_address` (string,null)

  - `items.transformation_name` (string,null)

  - `items.asset_id` (string,null)

  - `items.foreign_source` (string,null)

  - `items.foreign_id` (string,null)

  - `items.properties` (object,null)

  - `items.ancestors` (object,null)

  - `items.usage_request` (object,null)

  - `items.user_agent` (object,null)

  - `items.privileges` (object,null)

  - `items.location` (string,null)

  - `items.delivery_mode` (string,null)

  - `items.rendition_type` (string,null)

  - `items.removed_rules` (object,null)

  - `items.updated_rules` (object,null)

  - `items.added_rules` (object,null)

  - `items.impersonator_userid` (string,null)

  - `items.impersonator_username` (string,null)

  - `items.impersonator_email_address` (string,null)

  - `items.groupname` (string,null)

  - `items.deleted_by_username` (string,null)

  - `items.deleted_by_userid` (string,null)

  - `items.email_confirmation_pending` (string,null)

  - `items.reason` (string,null)

  - `items.external_provider` (string,null)

  - `items.requester_username` (string,null)

  - `items.requester_email_address` (string,null)

  - `items.usergroups_added` (object,null)

  - `items.usergroups_removed` (object,null)

  - `items.users_added` (object,null)

  - `items.users_removed` (object,null)

  - `items.modules_added` (object,null)

  - `items.modules_removed` (object,null)

  - `items.speed_test` (object,null)

  - `items.notification_type` (string,null)

  - `items.recipient_email_address` (string,null)

  - `items.recipient_user_id` (string,null)

  - `items.id` (string)

  - `items.audit_type` (string)
    Represents the type of audit event. IMPORTANT: Do not change the number of existing entries or their order because this will break compatibility with older versions.
    Enum: "Trigger", "Action", "Scripting", "Business", "Raw", "Edge", "PublicLink", "RawOperational", "DataPackageExport", "DataPackageImport"

  - `items.severity` (string)
    Represents the severity level for audit events. IMPORTANT: Do not change the number of existing entries. Doing so will break compatibility with older versions.
    Enum: "Debug", "Warning", "Info", "Error", "Fatal"

  - `items.target_definition` (string,null)

  - `items.target_id` (integer,null)

  - `items.target_identifier` (string,null)

  - `items.timestamp` (string)

  - `items.user_id` (integer,null)

  - `items.self` (object)
    Represents a link to a resource.

  - `items.self.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.self.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.self.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `total_items` (integer,null)
    Gets or sets the total number of items.

  - `returned_items` (integer,null)
    Gets or sets the number of returned items.

  - `offset` (integer,null)
    Gets or sets the offset of the items.

  - `next` (object)
    Represents a link to a resource.

  - `next.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `next.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `next.title` (string,null)
    Gets or sets the title that describes this link.

  - `next.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `previous` (object)
    Represents a link to a resource.

  - `previous.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `previous.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `previous.title` (string,null)
    Gets or sets the title that describes this link.

  - `previous.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `identifier` (string,null)
    Gets or sets the identifier of the resource.

  - `self` (object)
    Represents a link to a resource.

  - `self.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.title` (string,null)
    Gets or sets the title that describes this link.

  - `self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.


## Response 401 fields
